Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 4147)
@@ -32,6 +32,6 @@
    !! * Shared module variables
 
-   LOGICAL  :: ln_varpar = .FALSE.    !: boolean for variable PAR fraction
-   REAL(wp) :: parlux    = 0.43_wp    !: Fraction of shortwave as PAR
+   LOGICAL  :: ln_varpar   !: boolean for variable PAR fraction
+   REAL(wp) :: parlux      !: Fraction of shortwave as PAR
    REAL(wp) :: xparsw                 !: parlux/3
 
@@ -318,4 +318,5 @@
       INTEGER :: numpar
       INTEGER :: ierr
+      INTEGER :: ios                 ! Local integer output status for namelist read
       REAL(wp), DIMENSION(nbtimes) :: zsteps                 ! times records
       !
@@ -329,12 +330,12 @@
       IF( nn_timing == 1 )  CALL timing_start('p4z_opt_init')
 
-      cn_dir  = './'            ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !                  !   file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !                  !   name       !  (hours)  !   name      !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-      sn_par     = FLD_N( 'par_fraction',    24     ,  'fr_par'     ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampisopt )
+      REWIND( numnatp_ref )              ! Namelist nampisopt in reference namelist : Pisces attenuation coef. and PAR
+      READ  ( numnatp_ref, nampisopt, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisopt in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisopt in configuration namelist : Pisces attenuation coef. and PAR
+      READ  ( numnatp_cfg, nampisopt, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisopt in configuration namelist', lwp )
+      WRITE ( numonp, nampisopt )
 
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zprod.F90	(revision 4147)
@@ -32,16 +32,16 @@
 
    !! * Shared module variables
-   LOGICAL , PUBLIC ::  ln_newprod = .FALSE.
-   REAL(wp), PUBLIC ::  pislope    = 3.0_wp            !:
-   REAL(wp), PUBLIC ::  pislope2   = 3.0_wp            !:
-   REAL(wp), PUBLIC ::  excret     = 10.e-5_wp         !:
-   REAL(wp), PUBLIC ::  excret2    = 0.05_wp           !:
-   REAL(wp), PUBLIC ::  bresp      = 0.00333_wp        !:
-   REAL(wp), PUBLIC ::  chlcnm     = 0.033_wp          !:
-   REAL(wp), PUBLIC ::  chlcdm     = 0.05_wp           !:
-   REAL(wp), PUBLIC ::  chlcmin    = 0.00333_wp        !:
-   REAL(wp), PUBLIC ::  fecnm      = 10.E-6_wp         !:
-   REAL(wp), PUBLIC ::  fecdm      = 15.E-6_wp         !:
-   REAL(wp), PUBLIC ::  grosip     = 0.151_wp          !:
+   LOGICAL , PUBLIC ::  ln_newprod      !:
+   REAL(wp), PUBLIC ::  pislope         !:
+   REAL(wp), PUBLIC ::  pislope2        !:
+   REAL(wp), PUBLIC ::  excret          !:
+   REAL(wp), PUBLIC ::  excret2         !:
+   REAL(wp), PUBLIC ::  bresp           !:
+   REAL(wp), PUBLIC ::  chlcnm          !:
+   REAL(wp), PUBLIC ::  chlcdm          !:
+   REAL(wp), PUBLIC ::  chlcmin         !:
+   REAL(wp), PUBLIC ::  fecnm           !:
+   REAL(wp), PUBLIC ::  fecdm           !:
+   REAL(wp), PUBLIC ::  grosip          !:
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   prmax    !: optimal production = f(temperature)
@@ -472,8 +472,15 @@
       NAMELIST/nampisprod/ pislope, pislope2, ln_newprod, bresp, excret, excret2,  &
          &                 chlcnm, chlcdm, chlcmin, fecnm, fecdm, grosip
+      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampisprod )
+      REWIND( numnatp_ref )              ! Namelist nampisprod in reference namelist : Pisces phytoplankton production
+      READ  ( numnatp_ref, nampisprod, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisprod in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisprod in configuration namelist : Pisces phytoplankton production
+      READ  ( numnatp_cfg, nampisprod, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisprod in configuration namelist', lwp )
+      WRITE ( numonp, nampisprod )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zrem.F90	(revision 4147)
@@ -38,11 +38,11 @@
 
    !! * Shared module variables
-   REAL(wp), PUBLIC ::  xremik    = 0.3_wp     !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xremip    = 0.025_wp   !: remineralisation rate of DOC
-   REAL(wp), PUBLIC ::  nitrif    = 0.05_wp    !: NH4 nitrification rate 
-   REAL(wp), PUBLIC ::  xsirem    = 0.003_wp   !: remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsiremlab = 0.025_wp   !: fast remineralisation rate of POC 
-   REAL(wp), PUBLIC ::  xsilab    = 0.31_wp    !: fraction of labile biogenic silica 
-   REAL(wp), PUBLIC ::  oxymin    = 1.e-6_wp   !: halk saturation constant for anoxia 
+   REAL(wp), PUBLIC ::  xremik     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xremip     !: remineralisation rate of DOC
+   REAL(wp), PUBLIC ::  nitrif     !: NH4 nitrification rate 
+   REAL(wp), PUBLIC ::  xsirem     !: remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xsiremlab  !: fast remineralisation rate of POC 
+   REAL(wp), PUBLIC ::  xsilab     !: fraction of labile biogenic silica 
+   REAL(wp), PUBLIC ::  oxymin     !: halk saturation constant for anoxia 
 
 
@@ -349,7 +349,14 @@
       NAMELIST/nampisrem/ xremik, xremip, nitrif, xsirem, xsiremlab, xsilab,   &
       &                   oxymin
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampisrem )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+
+      REWIND( numnatp_ref )              ! Namelist nampisrem in reference namelist : Pisces remineralization
+      READ  ( numnatp_ref, nampisrem, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisrem in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisrem in configuration namelist : Pisces remineralization
+      READ  ( numnatp_cfg, nampisrem, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisrem in configuration namelist', lwp )
+      WRITE ( numonp, nampisrem )
 
       IF(lwp) THEN                         ! control print
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsbc.F90	(revision 4147)
@@ -26,19 +26,19 @@
 
    !! * Shared module variables
-   LOGICAL , PUBLIC  :: ln_dust     = .FALSE.    !: boolean for dust input from the atmosphere
-   LOGICAL , PUBLIC  :: ln_solub    = .FALSE.    !: boolean for variable solubility of atmospheric iron
-   LOGICAL , PUBLIC  :: ln_river    = .FALSE.    !: boolean for river input of nutrients
-   LOGICAL , PUBLIC  :: ln_ndepo    = .FALSE.    !: boolean for atmospheric deposition of N
-   LOGICAL , PUBLIC  :: ln_ironsed  = .FALSE.    !: boolean for Fe input from sediments
-   LOGICAL , PUBLIC  :: ln_hydrofe  = .FALSE.    !: boolean for Fe input from hydrothermal vents
-   LOGICAL , PUBLIC  :: ln_ironice  = .FALSE.    !: boolean for Fe input from sea ice
-   REAL(wp), PUBLIC  :: sedfeinput  = 1.E-9_wp   !: Coastal release of Iron
-   REAL(wp), PUBLIC  :: dustsolub   = 0.014_wp   !: Solubility of the dust
-   REAL(wp), PUBLIC  :: icefeinput  = 10E-9_wp   !: Iron concentration in sea ice
-   REAL(wp), PUBLIC  :: wdust       = 2.0_wp     !: Sinking speed of the dust 
-   REAL(wp), PUBLIC  :: nitrfix     = 1E-7_wp    !: Nitrogen fixation rate   
-   REAL(wp), PUBLIC  :: diazolight  = 50._wp     !: Nitrogen fixation sensitivty to light 
-   REAL(wp), PUBLIC  :: concfediaz  = 1.E-10_wp  !: Fe half-saturation Cste for diazotrophs 
-   REAL(wp)          :: hratio      = 9.E-5_wp   !: Fe:3He ratio assumed for vent iron supply
+   LOGICAL , PUBLIC  :: ln_dust     !: boolean for dust input from the atmosphere
+   LOGICAL , PUBLIC  :: ln_solub    !: boolean for variable solubility of atmospheric iron
+   LOGICAL , PUBLIC  :: ln_river    !: boolean for river input of nutrients
+   LOGICAL , PUBLIC  :: ln_ndepo    !: boolean for atmospheric deposition of N
+   LOGICAL , PUBLIC  :: ln_ironsed  !: boolean for Fe input from sediments
+   LOGICAL , PUBLIC  :: ln_hydrofe  !: boolean for Fe input from hydrothermal vents
+   LOGICAL , PUBLIC  :: ln_ironice  !: boolean for Fe input from sea ice
+   REAL(wp), PUBLIC  :: sedfeinput  !: Coastal release of Iron
+   REAL(wp), PUBLIC  :: dustsolub   !: Solubility of the dust
+   REAL(wp), PUBLIC  :: icefeinput  !: Iron concentration in sea ice
+   REAL(wp), PUBLIC  :: wdust       !: Sinking speed of the dust 
+   REAL(wp), PUBLIC  :: nitrfix     !: Nitrogen fixation rate   
+   REAL(wp), PUBLIC  :: diazolight  !: Nitrogen fixation sensitivty to light 
+   REAL(wp), PUBLIC  :: concfediaz  !: Fe half-saturation Cste for diazotrophs 
+   REAL(wp)          :: hratio      !: Fe:3He ratio assumed for vent iron supply
 
    LOGICAL , PUBLIC  :: ll_sbc
@@ -186,4 +186,5 @@
       INTEGER  :: numdust, numsolub, numriv, numiron, numdepo, numhydro
       INTEGER  :: ierr, ierr1, ierr2, ierr3
+      INTEGER  :: ios                 ! Local integer output status for namelist read
       REAL(wp) :: zexpide, zdenitide, zmaskt
       REAL(wp) :: ztimes_dust, ztimes_riv, ztimes_ndep 
@@ -209,23 +210,13 @@
       !
       !                            !* set file information
-      cn_dir  = './'            ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !                  !   file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !                  !   name       !  (hours)  !   name      !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs      !
-      sn_dust     = FLD_N( 'dust'       ,    -1     ,  'dust'     ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-      sn_solub    = FLD_N( 'solubility' ,    -12    ,  'solub'    ,  .true.    , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdic = FLD_N( 'river'      ,   -12     ,  'riverdic' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdoc = FLD_N( 'river'      ,   -12     ,  'riverdoc' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdin = FLD_N( 'river'      ,   -12     ,  'riverdin' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdon = FLD_N( 'river'      ,   -12     ,  'riverdon' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdip = FLD_N( 'river'      ,   -12     ,  'riverdip' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdop = FLD_N( 'river'      ,   -12     ,  'riverdop' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_riverdsi = FLD_N( 'river'      ,   -12     ,  'riverdsi' ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_ndepo    = FLD_N( 'ndeposition',   -12     ,  'ndep'     ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_ironsed  = FLD_N( 'ironsed'    ,   -12     ,  'bathy'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-      sn_hydrofe  = FLD_N( 'hydrofe'    ,   -12     ,  'hydro'    ,  .false.   , .true.  ,   'yearly'  , ''       , ''         )
-
-      REWIND( numnatp )                     ! read numnatp
-      READ  ( numnatp, nampissbc )
+
+      REWIND( numnatp_ref )              ! Namelist nampissbc in reference namelist : Pisces external sources of nutrients
+      READ  ( numnatp_ref, nampissbc, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampissbc in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampissbc in configuration namelist : Pisces external sources of nutrients
+      READ  ( numnatp_cfg, nampissbc, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampissbc in configuration namelist', lwp )
+      WRITE ( numonp, nampissbc )
 
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsink.F90	(revision 4147)
@@ -44,11 +44,11 @@
 
 #if  defined key_kriest
-   REAL(wp) ::  xkr_sfact    = 250.     !: Sinking factor
-   REAL(wp) ::  xkr_stick    = 0.2      !: Stickiness
-   REAL(wp) ::  xkr_nnano    = 2.337    !: Nbr of cell in nano size class
-   REAL(wp) ::  xkr_ndiat    = 3.718    !: Nbr of cell in diatoms size class
-   REAL(wp) ::  xkr_nmicro   = 3.718    !: Nbr of cell in microzoo size class
-   REAL(wp) ::  xkr_nmeso    = 7.147    !: Nbr of cell in mesozoo  size class
-   REAL(wp) ::  xkr_naggr    = 9.877    !: Nbr of cell in aggregates  size class
+   REAL(wp) ::  xkr_sfact    !: Sinking factor
+   REAL(wp) ::  xkr_stick    !: Stickiness
+   REAL(wp) ::  xkr_nnano    !: Nbr of cell in nano size class
+   REAL(wp) ::  xkr_ndiat    !: Nbr of cell in diatoms size class
+   REAL(wp) ::  xkr_nmicro   !: Nbr of cell in microzoo size class
+   REAL(wp) ::  xkr_nmeso    !: Nbr of cell in mesozoo  size class
+   REAL(wp) ::  xkr_naggr    !: Nbr of cell in aggregates  size class
 
    REAL(wp) ::  xkr_frac 
@@ -538,4 +538,5 @@
       !!----------------------------------------------------------------------
       INTEGER  ::   jk, jn, kiter
+      INTEGER  ::   ios                 ! Local integer output status for namelist read
       REAL(wp) ::   znum, zdiv
       REAL(wp) ::   zws, zwr, zwl,wmax, znummax
@@ -548,6 +549,13 @@
       IF( nn_timing == 1 )  CALL timing_start('p4z_sink_init')
       !
-      REWIND( numnatp )                     ! read nampiskrs
-      READ  ( numnatp, nampiskrs )
+
+      REWIND( numnatp_ref )              ! Namelist nampiskrs in reference namelist : Pisces sinking Kriest
+      READ  ( numnatp_ref, nampiskrs, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiskrs in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampiskrs in configuration namelist : Pisces sinking Kriest
+      READ  ( numnatp_cfg, nampiskrs, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiskrs in configuration namelist', lwp )
+      WRITE ( numonp, nampiskrs )
 
       IF(lwp) THEN
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zsms.F90	(revision 4147)
@@ -145,4 +145,5 @@
       CALL p4z_chk_mass( kt ) ! Mass conservation checking
 
+      IF ( kt == nittrc000 ) CALL FLUSH    ( numonp )     ! flush output namelist PISCES
       IF( nn_timing == 1 )  CALL timing_stop('p4z_sms')
       !
@@ -166,9 +167,15 @@
       NAMELIST/nampisdmp/ ln_pisdmp, nn_pisdmp, ln_pisclo
       NAMELIST/nampismass/ ln_check_mass
-      !!----------------------------------------------------------------------
-
-
-      REWIND( numnatp )
-      READ  ( numnatp, nampisbio )
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
+
+      REWIND( numnatp_ref )              ! Namelist nampisbio in reference namelist : Pisces variables
+      READ  ( numnatp_ref, nampisbio, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisbio in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisbio in configuration namelist : Pisces variables
+      READ  ( numnatp_cfg, nampisbio, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisbio in configuration namelist', lwp )
+      WRITE ( numonp, nampisbio )
 
       IF(lwp) THEN                         ! control print
@@ -187,12 +194,12 @@
       !                               ! nampiskrp : kriest parameters
       !                               ! -----------------------------
-      xkr_eta      = 0.62
-      xkr_zeta     = 1.62
-      xkr_ncontent = 5.7E-6
-      xkr_mass_min = 0.0002
-      xkr_mass_max = 1.
-
-      REWIND( numnatp )                     ! read natkriest
-      READ  ( numnatp, nampiskrp )
+      REWIND( numnatp_ref )              ! Namelist nampiskrp in reference namelist : Pisces Kriest
+      READ  ( numnatp_ref, nampiskrp, IOSTAT = ios, ERR = 903)
+903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiskrp in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampiskrp in configuration namelist : Pisces Kriest
+      READ  ( numnatp_cfg, nampiskrp, IOSTAT = ios, ERR = 904 )
+904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampiskrp in configuration namelist', lwp )
+      WRITE ( numonp, nampiskrp )
 
       IF(lwp) THEN
@@ -213,10 +220,12 @@
 #endif
 
-      ln_pisdmp = .true.
-      nn_pisdmp = 1
-      ln_pisclo = .false.
-
-      REWIND( numnatp )
-      READ  ( numnatp, nampisdmp )
+      REWIND( numnatp_ref )              ! Namelist nampisdmp in reference namelist : Pisces damping
+      READ  ( numnatp_ref, nampisdmp, IOSTAT = ios, ERR = 905)
+905   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdmp in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampisdmp in configuration namelist : Pisces damping
+      READ  ( numnatp_cfg, nampisdmp, IOSTAT = ios, ERR = 906 )
+906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdmp in configuration namelist', lwp )
+      WRITE ( numonp, nampisdmp )
 
       IF(lwp) THEN                         ! control print
@@ -229,7 +238,13 @@
       ENDIF
 
-      ln_check_mass = .false.
-      REWIND( numnatp )       
-      READ  ( numnatp, nampismass )
+      REWIND( numnatp_ref )              ! Namelist nampismass in reference namelist : Pisces mass conservation check
+      READ  ( numnatp_ref, nampismass, IOSTAT = ios, ERR = 907)
+907   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismass in reference namelist', lwp )
+
+      REWIND( numnatp_cfg )              ! Namelist nampismass in configuration namelist : Pisces mass conservation check 
+      READ  ( numnatp_cfg, nampismass, IOSTAT = ios, ERR = 908 )
+908   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismass in configuration namelist', lwp )
+      WRITE ( numonp, nampismass )
+
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/sms_pisces.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/sms_pisces.F90	(revision 4147)
@@ -17,5 +17,7 @@
    PUBLIC
 
-   INTEGER ::   numnatp
+   INTEGER ::   numnatp_ref = -1           !! Logical units for namelist pisces
+   INTEGER ::   numnatp_cfg = -1           !! Logical units for namelist pisces
+   INTEGER ::   numonp      = -1           !! Logical unit for namelist pisces output
 
    !!*  Biological fluxes for light : variables shared by pisces & lobster
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 4147)
@@ -49,4 +49,5 @@
       !!
       INTEGER :: jl, jn
+      INTEGER :: ios                 ! Local integer output status for namelist read
       TYPE(DIAG), DIMENSION(jp_pisces_2d)  :: pisdia2d
       TYPE(DIAG), DIMENSION(jp_pisces_3d)  :: pisdia3d
@@ -69,6 +70,7 @@
 #endif
       IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
-      CALL ctl_opn( numnatp, TRIM( clname ), 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
-
+      CALL ctl_opn( numnatp_ref, TRIM( clname )//'_ref', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numnatp_cfg, TRIM( clname )//'_cfg', 'OLD'    , 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
+      CALL ctl_opn( numonp     , 'output.namelist.pis' , 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE. )
       !
       IF( .NOT.lk_iomput .AND. ln_diatrc ) THEN
@@ -76,18 +78,12 @@
          ! Namelist nampisdia
          ! -------------------
-         DO jl = 1, jp_pisces_2d
-            WRITE(pisdia2d(jl)%sname,'("2D_",I1)') jl                      ! short name
-            WRITE(pisdia2d(jl)%lname,'("2D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            pisdia2d(jl)%units = ' '                                       ! units
-         END DO
-         !                                 ! 3D output arrays
-         DO jl = 1, jp_pisces_3d
-            WRITE(pisdia3d(jl)%sname,'("3D_",I1)') jl                      ! short name
-            WRITE(pisdia3d(jl)%lname,'("3D DIAGNOSTIC NUMBER ",I2)') jl    ! long name
-            pisdia3d(jl)%units = ' '                                       ! units
-         END DO
+         REWIND( numnatp_ref )              ! Namelist nampisdia in reference namelist : Pisces diagnostics
+         READ  ( numnatp_ref, nampisdia, IOSTAT = ios, ERR = 901)
+901      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdia in reference namelist', lwp )
 
-         REWIND( numnatp )               ! 
-         READ  ( numnatp, nampisdia )
+         REWIND( numnatp_cfg )              ! Namelist nampisdia in configuration namelist : Pisces diagnostics
+         READ  ( numnatp_cfg, nampisdia, IOSTAT = ios, ERR = 902 )
+902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdia in configuration namelist', lwp )
+         WRITE ( numonp, nampisdia )
 
          DO jl = 1, jp_pisces_2d
@@ -131,15 +127,12 @@
          ! Namelist nampisdbi
          ! -------------------
-         DO jl = 1, jp_pisces_trd
-            IF(     jl <  10 ) THEN   ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I1)') jl      ! short name
-            ELSEIF (jl < 100 ) THEN   ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I2)') jl
-            ELSE                      ;   WRITE (pisdiabio(jl)%sname,'("BIO_",I3)') jl
-            ENDIF
-            WRITE(pisdiabio(jl)%lname,'("BIOLOGICAL TREND NUMBER ",I2)') jl                 ! long name
-            pisdiabio(jl)%units = 'mmoleN/m3/s '                                            ! units
-         END DO
+         REWIND( numnatp_ref )              ! Namelist nampisdbi in reference namelist : Pisces add. diagnostics
+         READ  ( numnatp_ref, nampisdbi, IOSTAT = ios, ERR = 903)
+903      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdbi in reference namelist', lwp )
 
-         REWIND( numnatp )
-         READ  ( numnatp, nampisdbi )
+         REWIND( numnatp_cfg )              ! Namelist nampisdbi in configuration namelist : Pisces add. diagnostics
+         READ  ( numnatp_cfg, nampisdbi, IOSTAT = ios, ERR = 904 )
+904      IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisdbi in configuration namelist', lwp )
+         WRITE ( numonp, nampisdbi )
 
          DO jl = 1, jp_pisces_trd
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 4146)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 4147)
@@ -34,11 +34,11 @@
    LOGICAL , PUBLIC, PARAMETER ::   lk_trcdmp = .TRUE.   !: internal damping flag
 
-   !                                !!* Namelist namtrc_dmp : passive tracer newtonian damping *
-   INTEGER  ::   nn_hdmp_tr =   -1   ! = 0/-1/'latitude' for damping over passive tracer
-   INTEGER  ::   nn_zdmp_tr =    0   ! = 0/1/2 flag for damping in the mixed layer
-   REAL(wp) ::   rn_surf_tr =   50.  ! surface time scale for internal damping        [days]
-   REAL(wp) ::   rn_bot_tr  =  360.  ! bottom time scale for internal damping         [days]
-   REAL(wp) ::   rn_dep_tr  =  800.  ! depth of transition between rn_surf and rn_bot [meters]
-   INTEGER  ::   nn_file_tr =    2   ! = 1 create a damping.coeff NetCDF file 
+   !                          !!* Namelist namtrc_dmp : passive tracer newtonian damping *
+   INTEGER  ::   nn_hdmp_tr    ! = 0/-1/'latitude' for damping over passive tracer
+   INTEGER  ::   nn_zdmp_tr    ! = 0/1/2 flag for damping in the mixed layer
+   REAL(wp) ::   rn_surf_tr    ! surface time scale for internal damping        [days]
+   REAL(wp) ::   rn_bot_tr     ! bottom time scale for internal damping         [days]
+   REAL(wp) ::   rn_dep_tr     ! depth of transition between rn_surf and rn_bot [meters]
+   INTEGER  ::   nn_file_tr    ! = 1 create a damping.coeff NetCDF file 
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   restotr   ! restoring coeff. on tracers (s-1)
